# Class TradeCurrency

#### Hierarchy

- unknown
  - TradeCurrency

- Defined in src/protobuf/pb_pb.d.ts:7463
- Defined in src/protobuf/pb_pb.d.ts:7490

#####
Index

### Constructors

constructor

### Methods

clearCryptoCurrency
clearTraditionalCurrency
getCode
getCryptoCurrency
getMessageCase
getName
getTraditionalCurrency
hasCryptoCurrency
hasTraditionalCurrency
serializeBinary
setCode
setCryptoCurrency
setName
setTraditionalCurrency
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new TradeCurrency(): TradeCurrency

- #### Returns TradeCurrency

  Inherited from jspb.Message.constructor

## Methods

### clearCryptoCurrency

- clearCryptoCurrency(): TradeCurrency

- #### Returns TradeCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7473

### clearTraditionalCurrency

- clearTraditionalCurrency(): TradeCurrency

- #### Returns TradeCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7478

### getCode

- getCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7464

### getCryptoCurrency

- getCryptoCurrency(): undefined | CryptoCurrency

- #### Returns undefined | CryptoCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7470

### getMessageCase

- getMessageCase(): TradeCurrency.MessageCase

- #### Returns TradeCurrency.MessageCase

  - Defined in src/protobuf/pb_pb.d.ts:7480

### getName

- getName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7467

### getTraditionalCurrency

- getTraditionalCurrency(): undefined | TraditionalCurrency

- #### Returns undefined | TraditionalCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7475

### hasCryptoCurrency

- hasCryptoCurrency(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7472

### hasTraditionalCurrency

- hasTraditionalCurrency(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7477

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7482

### setCode

- setCode(value: string): TradeCurrency

- #### Parameters

  - ##### value: string

  #### Returns TradeCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7465

### setCryptoCurrency

- setCryptoCurrency(value?: CryptoCurrency): TradeCurrency

- #### Parameters

  - ##### `Optional` value: CryptoCurrency

  #### Returns TradeCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7471

### setName

- setName(value: string): TradeCurrency

- #### Parameters

  - ##### value: string

  #### Returns TradeCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7468

### setTraditionalCurrency

- setTraditionalCurrency(value?: TraditionalCurrency): TradeCurrency

- #### Parameters

  - ##### `Optional` value: TraditionalCurrency

  #### Returns TradeCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7476

### toObject

- toObject(includeInstance?: boolean): TradeCurrency.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns TradeCurrency.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7483

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): TradeCurrency

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TradeCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7486

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TradeCurrency, reader: BinaryReader): TradeCurrency

- #### Parameters

  - ##### message: TradeCurrency

  - ##### reader: BinaryReader

  #### Returns TradeCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7487

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: TradeCurrency, writer: BinaryWriter): void

- #### Parameters

  - ##### message: TradeCurrency

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7485

### `Static` toObject

- toObject(includeInstance: boolean, msg: TradeCurrency): TradeCurrency.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TradeCurrency

  #### Returns TradeCurrency.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7484

Generated using TypeDoc